Bug 1122153 - Foreman: The "LOCALBOOT 0" entry causes some bare metal machines to stuck during boot.
Summary: Foreman: The "LOCALBOOT 0" entry causes some bare metal machines to stuck du...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker 1122152
TreeView+ depends on / blocked
 
Reported: 2014-07-22 16:22 UTC by Dominic Cleal
Modified: 2019-08-12 14:35 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1122152
Environment:
Last Closed: 2017-03-28 12:51:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6725 None None None 2016-04-22 16:30:53 UTC
Red Hat Bugzilla 1418361 None None None Never
Red Hat Bugzilla 1421656 None None None Never

Internal Links: 1418361 1421656

Description Dominic Cleal 2014-07-22 16:22:27 UTC
+++ This bug was initially created as a clone of Bug #1122152 +++

Foreman:  The "LOCALBOOT 0" entry causes some bare metal machines to stuck during boot.


Environment:
rhel-osp-installer-0.1.1-1.el6ost.noarch
foreman-proxy-1.6.0.8-1.el6sat.noarch
foreman-installer-1.5.0-0.4.RC2.el6ost.noarch
ruby193-rubygem-foreman-tasks-0.6.4-2.el6sat.noarch
rubygem-foreman_api-0.1.11-4.el6sat.noarch
openstack-foreman-installer-2.0.15-1.el6ost.noarch
foreman-discovery-image-6.5-20140620.2.el6sat.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-puppet-modules-2014.1-19.1.el6ost.noarch


Description:
The PXE file created for VMs with intention to boot from the HD (here: /var/lib/tftpboot/pxelinux.cfg/<MAC>) contains the following:

DEFAULT menu
PROMPT 0
MENU TITLE PXE Menu
TIMEOUT 200
TOTALTIMEOUT 6000
ONTIMEOUT local

LABEL local
     MENU LABEL (local)
     MENU DEFAULT
     LOCALBOOT 0


Result:
 Some HW (for example Dell PowerEdge C6100) isn't able to boot the OS from the HD when this option is selected after booting via PXE.

Expected result:
 All machines should be able to boot from the HD, when selecting the "local" option after booting via PXE. 

Note: the following workaround found to be working on all machines (so far):
label local
    MENU LABEL (local)
    MENU DEFAULT
    COM32 chain.c32
    APPEND hd0 0

Comment 1 Dominic Cleal 2014-07-22 16:22:59 UTC
Created redmine issue http://projects.theforeman.org/issues/6725 from this bug

Comment 3 Leonid Natapov 2014-08-11 13:39:59 UTC
Facing the same issues when deploying OS on bare metal Dell machines.

Comment 5 sengork 2015-02-05 04:29:34 UTC
Facing the same issue with a bare metal System X (x3850 X5 - 7143).

Comment 6 sengork 2015-02-11 10:24:03 UTC
I can confirm that this is an issue with RHEL OSPI v6 (Juno) as well.

Comment 7 Bryan Kearney 2015-08-25 17:59:15 UTC
Upstream bug component is Provisioning Templates

Comment 8 Bryan Kearney 2017-03-28 12:51:34 UTC
This bug is being tracked upstream, and will no longer be tracked in the downstream product. When the upstream issue is fixed, the next Satellite release will contain the fix. I am closing this out as deferred. If you feel this is not correct, please feel free to open with additional information.


Note You need to log in before you can comment on or make changes to this bug.